| FlexDoc/XML XSDDoc Demo | XML Schemas for DITA 1.1

Overview All Components NS-Bindings | FRAMES NO FRAMES | SEARCH |

XML Schema "metaDeclMod.xsd"
Target Namespace:
{no namespace}
Defined Components:
elements (25 global), complexTypes (25), simpleTypes (3), element groups (1)
Default Namespace-Qualified Form:
Local Elements: qualified; Local Attributes: unqualified
Schema Location:
https://www.flexdoc.xyz/demo/xsd/dita11/metaDeclMod.xsd; see XML source
Included in Schemas (1):
ditabase.xsd [src]

All Element Summary
audience |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of audience.class)
Content: | empty, 22 attributes
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
The <audience> metadata element indicates, through the value of its type attribute, the intended audience for a topic. »
author |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of author.class)
Content: | mixed, 19 attributes, 13 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
The <author> metadata element contains the name of the topic's author. »
brand |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of brand.class)
Content: | mixed, 16 attributes, 13 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
The <brand> element indicates the manufacturer or brand associated with the product described by the parent <prodinfo> element.
category |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of category.class)
Content: | mixed, 16 attributes, 13 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
The <category> element can represent any category by which a topic might be classified for retrieval or navigation; for example, the categories could be used to group topics in a generated navigation bar. »
component |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of component.class)
Content: | mixed, 16 attributes, 13 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
The <component> element describes the component of the product that this topic is concerned with. »
copyrholder |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of copyrholder.class)
Content: | mixed, 16 attributes, 13 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
The copyright holder (<copyrholder>) element names the entity that holds legal rights to the material contained in the topic.
copyright |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of copyright.class)
Content: | complex, 17 attributes, 2 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
The <copyright> element is used for a single copyright entry. »
copyryear |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of copyryear.class)
Content: | empty, 17 attributes
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
The <copyryear> element contains the copyright year as specified by the year attribute.
created |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of created.class)
Content: | empty, 19 attributes
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
The <created> element specifies the document creation date using the date attribute.
critdates |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of critdates.class)
Content: | complex, 16 attributes, 2 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
The <critdates> element contains the critical dates in a document life cycle, such as the creation date and multiple revision dates.
featnum |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of featnum.class)
Content: | mixed, 16 attributes, 13 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
The <featnum> element contains the feature number of a product in the document metadata.
keywords |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of keywords.class)
Content: | complex, 16 attributes, 9 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
The <keywords> element contains a list of keyword entries (using indexterm or keyword markup) that can be used by a search engine.
othermeta |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of othermeta.class)
Content: | empty, 19 attributes
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
The <othermeta> element can be used to identify properties not otherwise included in <metadata> and assign name/content values to those properties. »
permissions |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of permissions.class)
Content: | empty, 17 attributes
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
The <permissions> empty prolog element can indicate any preferred controls for access to a topic. »
platform |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of platform.class)
Content: | mixed, 16 attributes, 13 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
The <platform> metadata element contains a description of the operating system and/or hardware related to the product being described by the <prodinfo> element.
prodinfo |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of prodinfo.class)
Content: | complex, 16 attributes, 8 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
The <prodinfo> metadata element in the prolog contains information about the product or products that are the subject matter of the current topic.
prodname |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of prodname.class)
Content: | mixed, 16 attributes, 13 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
The <prodname> metadata element contains the name of the product that is supported by the information in this topic.
prognum |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of prognum.class)
Content: | mixed, 16 attributes, 13 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
The <prognum> metadata element identifies the program number of the associated program product. »
publisher |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of publisher.class)
Content: | mixed, 18 attributes, 13 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
The <publisher> metadata element contains the name of the person, company, or organization responsible for making the content or subject of the topic available.
resourceid |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of resourceid.class)
Content: | empty, 18 attributes
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
The <resourceid> element provides an identifier for applications that require them in a particular format, when the normal id attribute of the topic can't be used. »
revised |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of revised.class)
Content: | empty, 19 attributes
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
The <revised> element in the prolog is used to maintain tracking dates that are important in a topic development cycle, such as the last modification date, the original availability date, and the expiration date.
series |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of series.class)
Content: | mixed, 16 attributes, 13 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
The <series> metadata element contains information about the product series that the topic supports.
source |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of source.class)
Content: | mixed, 18 attributes, 13 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
The <source> element contains a reference to a resource from which the present topic is derived, either completely or in part. »
vrm |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of vrm.class)
Content: | empty, 19 attributes
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
The empty <vrm> element contains information about a single product's version, modification, and release, to which the current topic applies.
vrmlist |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of vrmlist.class)
Content: | complex, 16 attributes, 1 element
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
The <vrmlist> element contains a set of <vrm> elements for logging the version, release, and modification information for multiple products or versions of products to which the topic applies.

Complex Type Summary
audience.class |
Namespace: | {no namespace}
Content: | empty, 21 attributes
Defined: | globally; see XML source
Includes: | declarations of 6 attributes
Referenced: | by 1 location
author.class |
Namespace: | {no namespace}
Content: | mixed (allows character data), 18 attributes, 13 elements
Defined: | globally; see XML source
Includes: | declarations of 3 attributes
Referenced: | by 1 location
brand.class |
Namespace: | {no namespace}
Content: | mixed (allows character data), 15 attributes, 13 elements
Defined: | globally; see XML source
Referenced: | by 1 location
category.class |
Namespace: | {no namespace}
Content: | mixed (allows character data), 15 attributes, 13 elements
Defined: | globally; see XML source
Referenced: | by 1 location
component.class |
Namespace: | {no namespace}
Content: | mixed (allows character data), 15 attributes, 13 elements
Defined: | globally; see XML source
Referenced: | by 1 location
copyrholder.class |
Namespace: | {no namespace}
Content: | mixed (allows character data), 15 attributes, 13 elements
Defined: | globally; see XML source
Referenced: | by 1 location
copyright.class |
Namespace: | {no namespace}
Content: | complex, 16 attributes, 2 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
copyryear.class |
Namespace: | {no namespace}
Content: | empty, 16 attributes
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
created.class |
Namespace: | {no namespace}
Content: | empty, 18 attributes
Defined: | globally; see XML source
Includes: | declarations of 3 attributes
Referenced: | by 1 location
critdates.class |
Namespace: | {no namespace}
Content: | complex, 15 attributes, 2 elements
Defined: | globally; see XML source
Referenced: | by 1 location
featnum.class |
Namespace: | {no namespace}
Content: | mixed (allows character data), 15 attributes, 13 elements
Defined: | globally; see XML source
Referenced: | by 1 location
keywords.class |
Namespace: | {no namespace}
Content: | complex, 15 attributes, 9 elements
Defined: | globally; see XML source
Referenced: | by 1 location
othermeta.class |
Namespace: | {no namespace}
Content: | empty, 18 attributes
Defined: | globally; see XML source
Includes: | declarations of 3 attributes
Referenced: | by 1 location
permissions.class |
Namespace: | {no namespace}
Content: | empty, 16 attributes
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
platform.class |
Namespace: | {no namespace}
Content: | mixed (allows character data), 15 attributes, 13 elements
Defined: | globally; see XML source
Referenced: | by 1 location
prodinfo.class |
Namespace: | {no namespace}
Content: | complex, 15 attributes, 8 elements
Defined: | globally; see XML source
Referenced: | by 1 location
prodname.class |
Namespace: | {no namespace}
Content: | mixed (allows character data), 15 attributes, 13 elements
Defined: | globally; see XML source
Referenced: | by 1 location
prognum.class |
Namespace: | {no namespace}
Content: | mixed (allows character data), 15 attributes, 13 elements
Defined: | globally; see XML source
Referenced: | by 1 location
publisher.class |
Namespace: | {no namespace}
Content: | mixed (allows character data), 17 attributes, 13 elements
Defined: | globally; see XML source
Includes: | declarations of 2 attributes
Referenced: | by 1 location
resourceid.class |
Namespace: | {no namespace}
Content: | empty, 17 attributes
Defined: | globally; see XML source
Includes: | declarations of 3 attributes
Referenced: | by 1 location
revised.class |
Namespace: | {no namespace}
Content: | empty, 18 attributes
Defined: | globally; see XML source
Includes: | declarations of 3 attributes
Referenced: | by 1 location
series.class |
Namespace: | {no namespace}
Content: | mixed (allows character data), 15 attributes, 13 elements
Defined: | globally; see XML source
Referenced: | by 1 location
source.class |
Namespace: | {no namespace}
Content: | mixed (allows character data), 17 attributes, 13 elements
Defined: | globally; see XML source
Includes: | declarations of 2 attributes
Referenced: | by 1 location
vrm.class |
Namespace: | {no namespace}
Content: | empty, 18 attributes
Defined: | globally; see XML source
Includes: | declarations of 3 attributes
Referenced: | by 1 location
vrmlist.class |
Namespace: | {no namespace}
Content: | complex, 15 attributes, 1 element
Defined: | globally; see XML source
Referenced: | by 1 location

Simple Type Summary
audience-type-att.class |
Namespace: | {no namespace}
Derived By: | restriction of xs:string
Defined: | globally; see XML source
Referenced: | by 1 location
author-type-atts.class |
Namespace: | {no namespace}
Derived By: | restriction of xs:string
Defined: | globally; see XML source
Referenced: | by 1 location
copyright-type-att.class |
Namespace: | {no namespace}
Derived By: | restriction of xs:string
Defined: | globally; see XML source
Referenced: | by 1 location

Element Group Summary
prodinfo.cnt |
Namespace: | {no namespace}
Content: | 6 elements
Defined: | globally; see XML source
Referenced: | by 1 location

Overview All Components NS-Bindings | FRAMES NO FRAMES | SEARCH |

XML schema documentation generated with FlexDoc/XML 1.15 using FlexDoc/XML XSDDoc 3.5 template set. All XSD diagrams generated by FlexDoc/XML DiagramKit.